Subject: [PATCH 01/14] mfd: omap-usb-host: Consolidate OMAP USB-HS platform data

From: [email-masked] (Tony Lindgren)
Date: Fri, 11 Jan 2013 10:13:32 -0800

* Roger Quadros <[email-masked]> [130111 01:43]:
> Tony,
> 
> On 01/11/2013 01:45 AM, Tony Lindgren wrote:
> > * Roger Quadros <[email-masked]> [130110 08:54]:
> >> Let's have a single platform data structure for the OMAP's High-Speed
> >> USB host subsystem instead of having 3 separate ones i.e. one for
> >> board data, one for USB Host (UHH) module and one for USB-TLL module.
> >>
> >> This makes the code much simpler and avoids creating multiple copies of
> >> platform data.
> > 
> > I can apply just this patch alone into an immutable branch that
> > we all can merge in as needed as long as we have acks for the USB
> > and MFD parts.
> > 
> > Or does this one need to be changed based on Alan's comments
> > on the EHCI lib related changes?
> > 
> 
> This does not depend on EHCI lib based changes but it depends on the
> OMAP USB Host cleanup series posted earlier.

Can we first apply just the minimal platform_data + board file + clock
changes?

That way I can apply those to some immutable tree for everybody to use,
and we cut off the dependency to the driver changes for the rest of the
patches. And then I'm off the hook for the rest of the patches :)

Tony